Cyberduck Mountain Duck CLI

#11242 closed defect (fixed)

Exception reordering of bookmarks with drag and drop

Reported by: MartinL-CZ Owned by: dkocher
Priority: normal Milestone: 7.7.2
Component: core Version: 7.7.0
Severity: normal Keywords:
Cc: Architecture:
Platform:

Description

Hi, I am using Cyberduck for Mac, version 7.7.0 (33744) purchased through the App Store, it runs on macOS 11.0.1.

I've noticed that I can't change the order of the bookmarks. If I try to do it, sometimes no change will be made and sometimes the bookmark I'm dragging will disappear.

Martin

Change History (6)

comment:1 Changed on Nov 23, 2020 at 1:59:30 PM by dkocher

  • Milestone set to 8.0
  • Owner set to dkocher
  • Status changed from new to assigned
Exception Name: NSGenericException
Description: There are 0 items on the pasteboard, but 1 drag images. There must be 1 draggingItem per pasteboardItem.
User Info: (null)

0   CoreFoundation                      0x00007fff318c9b57 __exceptionPreprocess + 250
1   libobjc.A.dylib                     0x00007fff6a7155bf objc_exception_throw + 48
2   CoreFoundation                      0x00007fff318c99b5 +[NSException raise:format:] + 189
3   AppKit                              0x00007fff2ee3837a -[NSDraggingSession(NSInternal) _initWithPasteboard:image:offset:source:] + 243
4   AppKit                              0x00007fff2ee37db1 -[NSCoreDragManager dragImage:fromWindow:at:offset:event:pasteboard:source:slideBack:] + 1889
5   AppKit                              0x00007fff2ee3763f -[NSWindow(NSDrag) dragImage:at:offset:event:pasteboard:source:slideBack:] + 134
6   AppKit                              0x00007fff2f284c2d -[NSTableView _doImageDragUsingRowsWithIndexes:event:pasteboard:source:slideBack:startRow:] + 662
7   AppKit                              0x00007fff2f2850b2 -[NSTableView __doImageDragUsingRowsWithIndexes:event:pasteboard:source:slideBack:startRow:] + 276
8   AppKit                              0x00007fff2f285db1 -[NSTableView _performClassicDragOfIndexes:hitRow:event:] + 452
9   AppKit                              0x00007fff2ee5f665 -[NSTableView _performDragFromMouseDown:] + 472
10  AppKit                              0x00007fff2ee5dad7 -[NSTableView mouseDown:] + 754
11  AppKit                              0x00007fff2ecf95f0 -[NSWindow(NSEventRouting) _handleMouseDownEvent:isDelayedEvent:] + 4914
12  AppKit                              0x00007fff2ec63e21 -[NSWindow(NSEventRouting) _reallySendEvent:isDelayedEvent:] + 2612
13  AppKit                              0x00007fff2ec631c9 -[NSWindow(NSEventRouting) sendEvent:] + 349
14  AppKit                              0x00007fff2ec61554 -[NSApplication(NSEvent) sendEvent:] + 352
15  AppKit                              0x00007fff2eaae5bf -[NSApplication run] + 707
16  libjnidispatch.dylib                0x00000001025afe74 ffi_call_unix64 + 76
17  ???                                 0x00007ffeedc33638 0x0 + 140732887414328

comment:2 Changed on Nov 29, 2020 at 5:08:34 PM by dkocher

Related to #10479.

comment:3 Changed on Nov 29, 2020 at 6:41:18 PM by dkocher

  • Milestone changed from 8.0 to 7.8.0

comment:4 Changed on Nov 30, 2020 at 6:16:08 AM by yla

  • Resolution set to fixed
  • Status changed from assigned to closed

In r50204.

comment:5 Changed on Nov 30, 2020 at 12:47:04 PM by dkocher

  • Summary changed from Reordering of bookmarks to Exception reordering of bookmarks with drag and drop

comment:6 Changed on Nov 30, 2020 at 2:25:31 PM by dkocher

  • Milestone changed from 7.8.0 to 7.7.2

Milestone renamed

Note: See TracTickets for help on using tickets.